Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Functions
Asynchronous Functions

## Detailed Description

List of the asynchronous functions.

Note
  The argument `es_id` associated with the asynchronous APIs is the event set id. See H5ES for context.

## Functions
herr_t | H5Aclose_async (hid_t attr_id, hid_t es_id)
hid_t | H5Acreate_async (hid_t loc_id, const char *attr_name, hid_t type_id, hid_t space_id, hid_t acpl_id, hid_t aapl_id, hid_t es_id)
hid_t | H5Acreate_by_name_async (hid_t loc_id, const char *obj_name, const char *attr_name, hid_t type_id, hid_t space_id, hid_t acpl_id, hid_t aapl_id, hid_t lapl_id, hid_t es_id)
herr_t | H5Aexists_async (hid_t obj_id, const char *attr_name, bool *exists, hid_t es_id)
herr_t | H5Aexists_by_name_async (hid_t loc_id, const char *obj_name, const char *attr_name, bool *exists, hid_t lapl_id, hid_t es_id)
hid_t | H5Aopen_async (hid_t obj_id, const char *attr_name, hid_t aapl_id, hid_t es_id)
hid_t | H5Aopen_by_idx_async (hid_t loc_id, const char *obj_name, H5_index_t idx_type, H5_iter_order_t order, hsize_t n, hid_t aapl_id, hid_t lapl_id, hid_t es_id)
hid_t | H5Aopen_by_name_async (hid_t loc_id, const char *obj_name, const char *attr_name, hid_t aapl_id, hid_t lapl_id, hid_t es_id)
herr_t | H5Aread_async (hid_t attr_id, hid_t dtype_id, void *buf, hid_t es_id)
herr_t | H5Arename_async (hid_t loc_id, const char *old_name, const char *new_name, hid_t es_id)
herr_t | H5Arename_by_name_async (hid_t loc_id, const char *obj_name, const char *old_attr_name, const char *new_attr_name, hid_t lapl_id, hid_t es_id)
herr_t | H5Awrite_async (hid_t attr_id, hid_t type_id, const void *buf, hid_t es_id)
herr_t | H5Dclose_async (hid_t dset_id, hid_t es_id)
hid_t | H5Dcreate_async (hid_t loc_id, const char *name, hid_t type_id, hid_t space_id, hid_t lcpl_id, hid_t dcpl_id, hid_t dapl_id, hid_t es_id)
hid_t | H5Dget_space_async (hid_t dset_id, hid_t es_id)
hid_t | H5Dopen_async (hid_t loc_id, const char *name, hid_t dapl_id, hid_t es_id)
herr_t | H5Dread_async (hid_t dset_id, hid_t mem_type_id, hid_t mem_space_id, hid_t file_space_id, hid_t dxpl_id, void *buf, hid_t es_id)
herr_t | H5Dread_multi_async (size_t count, hid_t dset_id[], hid_t mem_type_id[], hid_t mem_space_id[], hid_t file_space_id[], hid_t dxpl_id, void *buf[], hid_t es_id)
herr_t | H5Dset_extent_async (hid_t dset_id, const hsize_t size[], hid_t es_id)
herr_t | H5Dwrite_async (hid_t dset_id, hid_t mem_type_id, hid_t mem_space_id, hid_t file_space_id, hid_t dxpl_id, const void *buf, hid_t es_id)
herr_t | H5Dwrite_multi_async (size_t count, hid_t dset_id[], hid_t mem_type_id[], hid_t mem_space_id[], hid_t file_space_id[], hid_t dxpl_id, const void *buf[], hid_t es_id)
herr_t | H5Fclose_async (hid_t file_id, hid_t es_id)
hid_t | H5Fcreate_async (const char *filename, unsigned flags, hid_t fcpl_id, hid_t fapl_id, hid_t es_id)
herr_t | H5Fflush_async (hid_t object_id, H5F_scope_t scope, hid_t es_id)
hid_t | H5Fopen_async (const char *filename, unsigned flags, hid_t access_plist, hid_t es_id)
hid_t | H5Freopen_async (hid_t file_id, hid_t es_id)
herr_t | H5Gclose_async (hid_t group_id, hid_t es_id)
hid_t | H5Gcreate_async (hid_t loc_id, const char *name, hid_t lcpl_id, hid_t gcpl_id, hid_t gapl_id, hid_t es_id)
herr_t | H5Gget_info_async (hid_t loc_id, H5G_info_t *ginfo, hid_t es_id)
herr_t | H5Gget_info_by_idx_async (hid_t loc_id, const char *group_name, H5_index_t idx_type, H5_iter_order_t order, hsize_t n, H5G_info_t *ginfo, hid_t lapl_id, hid_t es_id)
herr_t | H5Gget_info_by_name_async (hid_t loc_id, const char *name, H5G_info_t *ginfo, hid_t lapl_id, hid_t es_id)
hid_t | H5Gopen_async (hid_t loc_id, const char *name, hid_t gapl_id, hid_t es_id)
herr_t | H5Lcreate_hard_async (hid_t cur_loc_id, const char *cur_name, hid_t new_loc_id, const char *new_name, hid_t lcpl_id, hid_t lapl_id, hid_t es_id)
herr_t | H5Lcreate_soft_async (const char *link_target, hid_t link_loc_id, const char *link_name, hid_t lcpl_id, hid_t lapl_id, hid_t es_id)
herr_t | H5Ldelete_async (hid_t loc_id, const char *name, hid_t lapl_id, hid_t es_id)
herr_t | H5Ldelete_by_idx_async (hid_t loc_id, const char *group_name, H5_index_t idx_type, H5_iter_order_t order, hsize_t n, hid_t lapl_id, hid_t es_id)
herr_t | H5Lexists_async (hid_t loc_id, const char *name, bool *exists, hid_t lapl_id, hid_t es_id)
herr_t | H5Literate_async (hid_t group_id, H5_index_t idx_type, H5_iter_order_t order, hsize_t *idx_p, H5L_iterate2_t op, void *op_data, hid_t es_id)
herr_t | H5Mclose_async (hid_t map_id, hid_t es_id)
hid_t | H5Mcreate_async (hid_t loc_id, const char *name, hid_t key_type_id, hid_t val_type_id, hid_t lcpl_id, hid_t mcpl_id, hid_t mapl_id, hid_t es_id)
herr_t | H5Mget_async (hid_t map_id, hid_t key_mem_type_id, const void *key, hid_t val_mem_type_id, void *value, hid_t dxpl_id, hid_t es_id)
hid_t | H5Mopen_async (hid_t loc_id, const char *name, hid_t mapl_id, hid_t es_id)
herr_t | H5Mput_async (hid_t map_id, hid_t key_mem_type_id, const void *key, hid_t val_mem_type_id, const void *value, hid_t dxpl_id, hid_t es_id)
herr_t | H5Oclose_async (hid_t object_id, hid_t es_id)
herr_t | H5Ocopy_async (hid_t src_loc_id, const char *src_name, hid_t dst_loc_id, const char *dst_name, hid_t ocpypl_id, hid_t lcpl_id, hid_t es_id)
herr_t | H5Oflush_async (hid_t obj_id, hid_t es_id)
herr_t | H5Oget_info_by_name_async (hid_t loc_id, const char *name, H5O_info2_t *oinfo, unsigned fields, hid_t lapl_id, hid_t es_id)
hid_t | H5Oopen_async (hid_t loc_id, const char *name, hid_t lapl_id, hid_t es_id)
hid_t | H5Oopen_by_idx_async (hid_t loc_id, const char *group_name, H5_index_t idx_type, H5_iter_order_t order, hsize_t n, hid_t lapl_id, hid_t es_id)
herr_t | H5Orefresh_async (hid_t oid, hid_t es_id)
hid_t | H5Ropen_attr_async (H5R_ref_t *ref_ptr, hid_t rapl_id, hid_t aapl_id, hid_t es_id)
hid_t | H5Ropen_object_async (unsigned app_line, H5R_ref_t *ref_ptr, hid_t rapl_id, hid_t oapl_id, hid_t es_id)
hid_t | H5Ropen_region_async (H5R_ref_t *ref_ptr, hid_t rapl_id, hid_t oapl_id, hid_t es_id)

## Function Documentation

## ◆ H5Aclose_async()

herr_t H5Aclose_async | ( | hid_t | attr_id,
|  | hid_t | es_id )

Asynchronous version of H5Aclose()

## ◆ H5Acreate_async()

hid_t H5Acreate_async | ( | hid_t | loc_id,
|  | const char * | attr_name,
|  | hid_t | type_id,
|  | hid_t | space_id,
|  | hid_t | acpl_id,
|  | hid_t | aapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Acreate()

## ◆ H5Acreate_by_name_async()

hid_t H5Acreate_by_name_async | ( | hid_t | loc_id,
|  | const char * | obj_name,
|  | const char * | attr_name,
|  | hid_t | type_id,
|  | hid_t | space_id,
|  | hid_t | acpl_id,
|  | hid_t | aapl_id,
|  | hid_t | lapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Acreate_by_name()

## ◆ H5Aexists_async()

herr_t H5Aexists_async | ( | hid_t | obj_id,
|  | const char * | attr_name,
|  | bool * | exists,
|  | hid_t | es_id )

Asynchronous version of H5Aexists()

## ◆ H5Aexists_by_name_async()

herr_t H5Aexists_by_name_async | ( | hid_t | loc_id,
|  | const char * | obj_name,
|  | const char * | attr_name,
|  | bool * | exists,
|  | hid_t | lapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Aexists_by_name()

## ◆ H5Aopen_async()

hid_t H5Aopen_async | ( | hid_t | obj_id,
|  | const char * | attr_name,
|  | hid_t | aapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Aopen()

## ◆ H5Aopen_by_idx_async()

hid_t H5Aopen_by_idx_async | ( | hid_t | loc_id,
|  | const char * | obj_name,
|  | H5_index_t | idx_type,
|  | H5_iter_order_t | order,
|  | hsize_t | n,
|  | hid_t | aapl_id,
|  | hid_t | lapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Aopen_by_idx()

## ◆ H5Aopen_by_name_async()

hid_t H5Aopen_by_name_async | ( | hid_t | loc_id,
|  | const char * | obj_name,
|  | const char * | attr_name,
|  | hid_t | aapl_id,
|  | hid_t | lapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Aopen_by_name()

## ◆ H5Aread_async()

herr_t H5Aread_async | ( | hid_t | attr_id,
|  | hid_t | dtype_id,
|  | void * | buf,
|  | hid_t | es_id )

Asynchronous version of H5Aread()

## ◆ H5Arename_async()

herr_t H5Arename_async | ( | hid_t | loc_id,
|  | const char * | old_name,
|  | const char * | new_name,
|  | hid_t | es_id )

Asynchronous version of H5Arename()

## ◆ H5Arename_by_name_async()

herr_t H5Arename_by_name_async | ( | hid_t | loc_id,
|  | const char * | obj_name,
|  | const char * | old_attr_name,
|  | const char * | new_attr_name,
|  | hid_t | lapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Arename_by_name()

## ◆ H5Awrite_async()

herr_t H5Awrite_async | ( | hid_t | attr_id,
|  | hid_t | type_id,
|  | const void * | buf,
|  | hid_t | es_id )

Asynchronous version of H5Awrite()

## ◆ H5Dclose_async()

herr_t H5Dclose_async | ( | hid_t | dset_id,
|  | hid_t | es_id )

Asynchronous version of H5Dclose()

## ◆ H5Dcreate_async()

hid_t H5Dcreate_async | ( | hid_t | loc_id,
|  | const char * | name,
|  | hid_t | type_id,
|  | hid_t | space_id,
|  | hid_t | lcpl_id,
|  | hid_t | dcpl_id,
|  | hid_t | dapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Dcreate()

## ◆ H5Dget_space_async()

hid_t H5Dget_space_async | ( | hid_t | dset_id,
|  | hid_t | es_id )

Asynchronous version of H5Dget_space()

## ◆ H5Dopen_async()

hid_t H5Dopen_async | ( | hid_t | loc_id,
|  | const char * | name,
|  | hid_t | dapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Dopen()

## ◆ H5Dread_async()

herr_t H5Dread_async | ( | hid_t | dset_id,
|  | hid_t | mem_type_id,
|  | hid_t | mem_space_id,
|  | hid_t | file_space_id,
|  | hid_t | dxpl_id,
|  | void * | buf,
|  | hid_t | es_id )

Asynchronous version of H5Dread()

## ◆ H5Dread_multi_async()

herr_t H5Dread_multi_async | ( | size_t | count,
|  | hid_t | dset_id[],
|  | hid_t | mem_type_id[],
|  | hid_t | mem_space_id[],
|  | hid_t | file_space_id[],
|  | hid_t | dxpl_id,
|  | void * | buf[],
|  | hid_t | es_id )

Asynchronous version of H5Dread_multi()

## ◆ H5Dset_extent_async()

herr_t H5Dset_extent_async | ( | hid_t | dset_id,
|  | const hsize_t | size[],
|  | hid_t | es_id )

Asynchronous version of H5Dset_extent()

## ◆ H5Dwrite_async()

herr_t H5Dwrite_async | ( | hid_t | dset_id,
|  | hid_t | mem_type_id,
|  | hid_t | mem_space_id,
|  | hid_t | file_space_id,
|  | hid_t | dxpl_id,
|  | const void * | buf,
|  | hid_t | es_id )

Asynchronous version of H5Dwrite()

## ◆ H5Dwrite_multi_async()

herr_t H5Dwrite_multi_async | ( | size_t | count,
|  | hid_t | dset_id[],
|  | hid_t | mem_type_id[],
|  | hid_t | mem_space_id[],
|  | hid_t | file_space_id[],
|  | hid_t | dxpl_id,
|  | const void * | buf[],
|  | hid_t | es_id )

Asynchronous version of H5Dwrite_multi()

## ◆ H5Fclose_async()

herr_t H5Fclose_async | ( | hid_t | file_id,
|  | hid_t | es_id )

Asynchronous version of H5Fclose()

Since
  1.12.0

## ◆ H5Fcreate_async()

hid_t H5Fcreate_async | ( | const char * | filename,
|  | unsigned | flags,
|  | hid_t | fcpl_id,
|  | hid_t | fapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Fcreate()

Since
  1.12.0

## ◆ H5Fflush_async()

herr_t H5Fflush_async | ( | hid_t | object_id,
|  | H5F_scope_t | scope,
|  | hid_t | es_id )

Asynchronous version of H5Fflush()

Since
  1.12.0

## ◆ H5Fopen_async()

hid_t H5Fopen_async | ( | const char * | filename,
|  | unsigned | flags,
|  | hid_t | access_plist,
|  | hid_t | es_id )

Asynchronous version of H5Fopen()

Since
  1.12.0

## ◆ H5Freopen_async()

hid_t H5Freopen_async | ( | hid_t | file_id,
|  | hid_t | es_id )

Asynchronous version of H5Freopen()

Since
  1.12.0

## ◆ H5Gclose_async()

herr_t H5Gclose_async | ( | hid_t | group_id,
|  | hid_t | es_id )

Asynchronous version of H5Gclose()

Since
  1.12.0

## ◆ H5Gcreate_async()

hid_t H5Gcreate_async | ( | hid_t | loc_id,
|  | const char * | name,
|  | hid_t | lcpl_id,
|  | hid_t | gcpl_id,
|  | hid_t | gapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Gcreate()

## ◆ H5Gget_info_async()

herr_t H5Gget_info_async | ( | hid_t | loc_id,
|  | H5G_info_t * | ginfo,
|  | hid_t | es_id )

Asynchronous version of H5Gget_info()

Since
  1.12.0

## ◆ H5Gget_info_by_idx_async()

herr_t H5Gget_info_by_idx_async | ( | hid_t | loc_id,
|  | const char * | group_name,
|  | H5_index_t | idx_type,
|  | H5_iter_order_t | order,
|  | hsize_t | n,
|  | H5G_info_t * | ginfo,
|  | hid_t | lapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Gget_info_by_idx()

Since
  1.12.0

## ◆ H5Gget_info_by_name_async()

herr_t H5Gget_info_by_name_async | ( | hid_t | loc_id,
|  | const char * | name,
|  | H5G_info_t * | ginfo,
|  | hid_t | lapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Gget_info_by_name()

Since
  1.12.0

## ◆ H5Gopen_async()

hid_t H5Gopen_async | ( | hid_t | loc_id,
|  | const char * | name,
|  | hid_t | gapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Gopen()

Since
  1.12.0

## ◆ H5Lcreate_hard_async()

herr_t H5Lcreate_hard_async | ( | hid_t | cur_loc_id,
|  | const char * | cur_name,
|  | hid_t | new_loc_id,
|  | const char * | new_name,
|  | hid_t | lcpl_id,
|  | hid_t | lapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Lcreate_hard()

## ◆ H5Lcreate_soft_async()

herr_t H5Lcreate_soft_async | ( | const char * | link_target,
|  | hid_t | link_loc_id,
|  | const char * | link_name,
|  | hid_t | lcpl_id,
|  | hid_t | lapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Lcreate_soft()

## ◆ H5Ldelete_async()

herr_t H5Ldelete_async | ( | hid_t | loc_id,
|  | const char * | name,
|  | hid_t | lapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Ldelete()

## ◆ H5Ldelete_by_idx_async()

herr_t H5Ldelete_by_idx_async | ( | hid_t | loc_id,
|  | const char * | group_name,
|  | H5_index_t | idx_type,
|  | H5_iter_order_t | order,
|  | hsize_t | n,
|  | hid_t | lapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Ldelete_by_idx()

## ◆ H5Lexists_async()

herr_t H5Lexists_async | ( | hid_t | loc_id,
|  | const char * | name,
|  | bool * | exists,
|  | hid_t | lapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Lexists()

## ◆ H5Literate_async()

herr_t H5Literate_async | ( | hid_t | group_id,
|  | H5_index_t | idx_type,
|  | H5_iter_order_t | order,
|  | hsize_t * | idx_p,
|  | H5L_iterate2_t | op,
|  | void * | op_data,
|  | hid_t | es_id )

Warning
  The returned value of the callback routine op will not be set in the return value for H5Literate_async(), so the `herr_t` value should not be used for determining the return state of the callback routine.

Asynchronous version of H5Literate()

## ◆ H5Mclose_async()

herr_t H5Mclose_async | ( | hid_t | map_id,
|  | hid_t | es_id )

Asynchronous version of H5Mclose()

## ◆ H5Mcreate_async()

hid_t H5Mcreate_async | ( | hid_t | loc_id,
|  | const char * | name,
|  | hid_t | key_type_id,
|  | hid_t | val_type_id,
|  | hid_t | lcpl_id,
|  | hid_t | mcpl_id,
|  | hid_t | mapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Mcreate()

## ◆ H5Mget_async()

herr_t H5Mget_async | ( | hid_t | map_id,
|  | hid_t | key_mem_type_id,
|  | const void * | key,
|  | hid_t | val_mem_type_id,
|  | void * | value,
|  | hid_t | dxpl_id,
|  | hid_t | es_id )

Asynchronous version of H5Mget()

## ◆ H5Mopen_async()

hid_t H5Mopen_async | ( | hid_t | loc_id,
|  | const char * | name,
|  | hid_t | mapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Mopen()

## ◆ H5Mput_async()

herr_t H5Mput_async | ( | hid_t | map_id,
|  | hid_t | key_mem_type_id,
|  | const void * | key,
|  | hid_t | val_mem_type_id,
|  | const void * | value,
|  | hid_t | dxpl_id,
|  | hid_t | es_id )

Asynchronous version of H5Mput()

## ◆ H5Oclose_async()

herr_t H5Oclose_async | ( | hid_t | object_id,
|  | hid_t | es_id )

Asynchronous version of H5Oclose()

## ◆ H5Ocopy_async()

herr_t H5Ocopy_async | ( | hid_t | src_loc_id,
|  | const char * | src_name,
|  | hid_t | dst_loc_id,
|  | const char * | dst_name,
|  | hid_t | ocpypl_id,
|  | hid_t | lcpl_id,
|  | hid_t | es_id )

Asynchronous version of H5Ocopy()

## ◆ H5Oflush_async()

herr_t H5Oflush_async | ( | hid_t | obj_id,
|  | hid_t | es_id )

Asynchronous version of H5Oflush()

## ◆ H5Oget_info_by_name_async()

herr_t H5Oget_info_by_name_async | ( | hid_t | loc_id,
|  | const char * | name,
|  | H5O_info2_t * | oinfo,
|  | unsigned | fields,
|  | hid_t | lapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Oget_info_by_name()

## ◆ H5Oopen_async()

hid_t H5Oopen_async | ( | hid_t | loc_id,
|  | const char * | name,
|  | hid_t | lapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Oopen()

## ◆ H5Oopen_by_idx_async()

hid_t H5Oopen_by_idx_async | ( | hid_t | loc_id,
|  | const char * | group_name,
|  | H5_index_t | idx_type,
|  | H5_iter_order_t | order,
|  | hsize_t | n,
|  | hid_t | lapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Oopen_by_idx()

## ◆ H5Orefresh_async()

herr_t H5Orefresh_async | ( | hid_t | oid,
|  | hid_t | es_id )

Asynchronous version of H5Orefresh()

## ◆ H5Ropen_attr_async()

hid_t H5Ropen_attr_async | ( | H5R_ref_t * | ref_ptr,
|  | hid_t | rapl_id,
|  | hid_t | aapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Ropen_attr()

Since
  1.14.0

## ◆ H5Ropen_object_async()

hid_t H5Ropen_object_async | ( | unsigned | app_line,
|  | H5R_ref_t * | ref_ptr,
|  | hid_t | rapl_id,
|  | hid_t | oapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Ropen_object()

Since
  1.14.0

## ◆ H5Ropen_region_async()

hid_t H5Ropen_region_async | ( | H5R_ref_t * | ref_ptr,
|  | hid_t | rapl_id,
|  | hid_t | oapl_id,
|  | hid_t | es_id )

Asynchronous version of H5Ropen_region()

Since
  1.14.0